rte_flow_item_meta(3)

NAME
rte_flow_item_meta

SYNOPSIS

#include <rte_flow.h>

Detailed Description

RTE_FLOW_ITEM_TYPE_META

Matches a specified metadata value. On egress, metadata can be set either by mbuf dynamic metadata field with RTE_MBUF_DYNFLAG_TX_METADATA flag or RTE_FLOW_ACTION_TYPE_SET_META. On ingress, RTE_FLOW_ACTION_TYPE_SET_META sets metadata for a packet and the metadata will be reported via mbuf metadata dynamic field with RTE_MBUF_DYNFLAG_RX_METADATA flag. The dynamic mbuf field must be registered in advance by rte_flow_dynf_metadata_register().

Definition at line 1622 of file rte_flow.h.

Author

Generated automatically by Doxygen for DPDK from the source code.